Skip to main content
GET
/
rewards
/
addresses
List reward addresses
curl --request GET \
  --url https://api.paxos.com/v2/rewards/addresses \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/rewards/addresses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/rewards/addresses', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "customer_id": "<string>",
      "address": "<string>",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "effective_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "payout_group_id": "<string>",
      "balance": "<string>",
      "status": "<string>",
      "asset_type": "<string>"
    }
  ],
  "next_page_cursor": "<string>"
}
OAuth Scope
rewards:read_monitoring_address

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

limit
integer<int32>
customer_id
string

Optional for public API - extracted from auth context if not provided.

ledger
enum<string>
Available options:
PAXOS,
ETHEREUM,
SOLANA,
INK,
XLAYER,
ARBITRUM_ONE,
ROBINHOOD
address
string
order
enum<string>

Optional, sort order for results based on created_at. The default sort order is DESC.

Available options:
DESC,
ASC
page_cursor
string

Optional, cursor token for fetching the next page.

id
string

Optional, address id.

payout_group_id
string

Optional, filter by payout group. Pass the zero UUID (00000000-0000-0000-0000-000000000000) to return only addresses with no payout group assigned.

include_balance
boolean

When true, fetch and include balance for each address

balance_timestamp
string<date-time>

Point-in-time for balance query (optional, defaults to now)

asset_type
string

When set, only addresses belonging to payout groups with this asset type are returned.

onchain_statuses
enum<string>[]

Optional, filter by one or more onchain registration statuses.

Available options:
ONCHAIN_STATUS_TYPE_UNSPECIFIED,
UNREGISTERED,
PENDING_REGISTRATION,
NEEDS_REREGISTRATION,
ACTIVE,
FAILED_REGISTRATION,
PENDING_DELETION,
FAILED_DELETION,
PENDING_MULTIPLIER_UPDATE,
MULTIPLIER_UPDATE_FAILED

Response

200 - application/json

A successful response.

items
All data associated with an attribution address · object[]

Monitored addresses in this page of results.

next_page_cursor
string

Token for the next page of results; empty if no more results.